#!/bin/bash

SCRIPT_ABS_LOCATION=$(realpath "$(dirname "${0}")")

# Define an array of application names
declare -a apps=("cryptpad" "immich" "duplicati" "nextcloud" "vaultwarden" "forgejo" "portainer")

# Function to execute the backup script for each application
backup_app() {
    local app=$1
    "$SCRIPT_ABS_LOCATION/$app/${app}-backup.sh"
}

# Iterate over each app in the array and call the backup function
for app in "${apps[@]}"; do
    backup_app "$app"
done

