# Backup Scripts

This repository contains scripts to back up various applications. The primary script, `full-backup.sh`, coordinates the backup process by invoking individual backup scripts for each application.

## Overview

### Main Scripts

- **full-backup.sh**
  - Orchestrates the backup process for all applications listed in its internal array. To add a new application, simply include its name in the array.
- **logger.sh**
  - Provides logging functionality to ensure all backup processes are logged.

### Application Backup Scripts

Each application has its own directory containing:
- Backup script
- Environment variables file (`.env`)
- Log file (created on the first run)

